Chiwa Pay

Transactions

List and filter merchant transactions.

View as Markdown
GET/transactions

Returns merchant transactions.

Query Params

ParamTypeRequiredDescription
limitintegerNoNumber of transactions. Default 50.

Request Example

cURL
curl "https://api.chiwapay.com/transactions?limit=50" \  -H "Authorization: Bearer sk_xxx"

Response

{
  "transactions": [
    {
      "id": "f2b1d5b0-7b1f-4c5d-9c37-93f0c8f6a001",
      "reference_id": "PAY-LXAMPLE",
      "merchant_reference_id": "ORDER-1024",
      "payment_method_code": "qris",
      "currency": "IDR",
      "amount": 150000,
      "fee_amount": 1050,
      "net_amount": 150000,
      "total_amount": 151050,
      "status": "paid",
      "paid_at": "2026-05-19T10:01:00Z",
      "created_at": "2026-05-19T10:00:00Z",
      "updated_at": "2026-05-19T10:01:00Z"
    }
  ]
}

Response Fields

FieldDescription
transactionsTransaction list.
transactions[].idTransaction UUID.
transactions[].reference_idChiwa Pay transaction ID.
transactions[].merchant_reference_idMerchant order ID.
transactions[].statusTransaction status.
transactions[].total_amountAmount the customer must pay.

HTTP Error Code

HTTPCodeDescription
401invalid_api_keySecret key is invalid.
403merchant_not_approvedMerchant is not active.
500server_errorTransactions could not be loaded.

On this page